Index: /anuga_work/production/busselton/standardised_version/project.py
===================================================================
--- /anuga_work/production/busselton/standardised_version/project.py	(revision 6255)
+++ /anuga_work/production/busselton/standardised_version/project.py	(revision 6256)
@@ -256,8 +256,8 @@
 
 # Combined all regions, must check that all are included!
-interior_regions = [[poly_aoi1,res_aoi1],[poly_aoi2,res_aoi2]
-                     ,[poly_aos1,res_aos1],[poly_aos2,res_aos2]
-                     ,[poly_aos3,res_aos3],[poly_aos4,res_aos4]
-                     ,[poly_sw1,res_sw1]]
+interior_regions = [[poly_aoi1,res_aoi1],[poly_aoi2,res_aoi2],
+                    [poly_aos1,res_aos1],[poly_aos2,res_aos2],
+                    [poly_aos3,res_aos3],[poly_aos4,res_aos4],
+                    [poly_sw1,res_sw1]]
 
     
Index: /anuga_work/production/busselton/standardised_version/run_busselton.py
===================================================================
--- /anuga_work/production/busselton/standardised_version/run_busselton.py	(revision 6255)
+++ /anuga_work/production/busselton/standardised_version/run_busselton.py	(revision 6256)
@@ -15,4 +15,8 @@
 Ole Nielsen, Jane Sexton and Kristy Van Putten - 2008
 """
+
+# Note repeated use of domain id
+# Note naming of fundamental datasets and directories
+
 
 #------------------------------------------------------------------------------
@@ -41,5 +45,5 @@
 from anuga_parallel.parallel_abstraction import get_processor_name
 from anuga.caching import myhash
-from anuga.damage_modelling.inundation_damage import add_depth_and_momentum2csv, inundation_damage
+#from anuga.damage_modelling.inundation_damage import add_depth_and_momentum2csv, inundation_damage
 from anuga.fit_interpolate.benchmark_least_squares import mem_usage 
 from anuga.utilities.polygon import read_polygon, plot_polygons, polygon_area, is_inside_polygon
@@ -104,5 +108,5 @@
 
     # FIXME(Ole): Introduce create_domain_from_regions: Simpler and caches well
-    print 'start create mesh from regions'
+    print 'Start create mesh from regions'
 
     create_mesh_from_regions(bounding_polygon,
@@ -120,9 +124,5 @@
 
     domain = Domain(project.meshes_dir_name, use_cache=False, verbose=True)
-    print 'memory usage before del domain',mem_usage()
-       
     print domain.statistics()
-    print 'triangles',len(domain)
-    
 
 
@@ -141,5 +141,5 @@
     domain.set_quantity('friction', project.friction) 
     
-    print 'Start Set quantity',kwargs['elevation_file']
+    print 'Start set quantity', kwargs['elevation_file']
 
     domain.set_quantity('elevation', 
@@ -160,13 +160,11 @@
     # Set domain parameters
     #------------------------------------------------------
-    print 'domain id', id(domain)
     domain.set_name(project.scenario_name)
-    domain.set_datadir(kwargs['output_dir'])
+    domain.set_datadir(kwargs['output_dir'])    # FIXME: Use project.output_run_time_dir
     domain.set_default_order(2)                 # Apply second order scheme
     domain.set_minimum_storable_height(0.01)    # Don't store anything less than 1cm
-    domain.set_store_vertices_uniquely(False)
-    domain.set_quantities_to_be_stored(['stage', 'xmomentum', 'ymomentum'])
-    domain.tight_slope_limiters = 1
-    print 'domain id', id(domain)
+    #domain.set_store_vertices_uniquely(False)
+    #domain.set_quantities_to_be_stored(['stage', 'xmomentum', 'ymomentum'])
+    #domain.tight_slope_limiters = 1
 
     #-------------------------------------------------------------------------
@@ -174,5 +172,4 @@
     #-------------------------------------------------------------------------
     print 'Available boundary tags', domain.get_boundary_tags()
-    print 'domain id', id(domain)
    
     boundary_urs_out=project.boundaries_dir_event + sep + project.scenario_name
@@ -182,11 +179,11 @@
     
     print 'Available boundary tags', domain.get_boundary_tags()
-    Bf = Field_boundary(boundary_urs_out+'.sts',  # Change from file_boundary
-                   domain, mean_stage= project.tide,
-                   time_thinning=1,
-                   default_boundary=Bd,
-                   use_cache=True,
-                   verbose = True,
-                   boundary_polygon=bounding_polygon)
+    Bf = Field_boundary(boundary_urs_out+'.sts',
+                        domain, mean_stage= project.tide,
+                        time_thinning=1,
+                        default_boundary=Bd,
+                        use_cache=True,
+                        verbose = True,
+                        boundary_polygon=bounding_polygon)
 
     domain.set_boundary({'back': Br,
@@ -195,5 +192,5 @@
 
 
-    print'finish set boundary'
+    print 'Finish set boundary'
 
     #----------------------------------------------------------------------------
@@ -216,7 +213,6 @@
 
 
-    kwargs['completed']=str(time.time()-t0)
      
-    store_parameters(**kwargs)
+
 
     