Index: /anuga_work/production/australia_ph2/ceduna/build_elevation.py
===================================================================
--- /anuga_work/production/australia_ph2/ceduna/build_elevation.py	(revision 6292)
+++ /anuga_work/production/australia_ph2/ceduna/build_elevation.py	(revision 6293)
@@ -61,9 +61,9 @@
                                                 verbose=True)
 
-# Create Geospatial data from TXT files
-for filename in project.point_filenames:
-    absolute_filename = join(project.topographies_folder, filename)
-    geospatial_data[filename] = Geospatial_data(file_name=absolute_filename,
-                                                verbose=True)
+### Create Geospatial data from TXT files
+##for filename in project.point_filenames:
+##    absolute_filename = join(project.topographies_folder, filename)
+##    geospatial_data[filename] = Geospatial_data(file_name=absolute_filename,
+##                                                verbose=True)
 
 
Index: /anuga_work/production/australia_ph2/ceduna/project.py
===================================================================
--- /anuga_work/production/australia_ph2/ceduna/project.py	(revision 6292)
+++ /anuga_work/production/australia_ph2/ceduna/project.py	(revision 6293)
@@ -31,7 +31,6 @@
 # this section needs to be updated to reflect the modelled community.
 # Note, the user needs to set up the directory system accordingly
-state = 'western_australia'
-scenario_name = 'busselton'
-scenario_folder = 'busselton_tsunami_scenario'
+state = 'australia_ph2'
+scenario_name = 'ceduna'
 
 #------------------------------------------------------------------------------
@@ -40,18 +39,12 @@
 # Model specific parameters. One or all can be changed each time the
 # run_scenario script is executed
-tide = 0              #0.6
+tide = 0 
 event_number = 27255 # Java 9.3 worst case for Perth
-#event_number = 68693 # Sumatra 9.2
-#event_number = 27283  # Java 9.3 original
-tide = 0                #0.6
-#event_number = 27255   # Java 9.3 worst case for Perth
-#event_number = 68693   # Sumatra 9.2
-event_number = 27283    # Java 9.3 original
 alpha = 0.1             # smoothing parameter for mesh
-friction=0.01           # manning's friction coefficient
-starttime=0             
-finaltime=80000         # final time for simulation
+friction = 0.01           # manning's friction coefficient
+starttime = 0             
+finaltime = 80000         # final time for simulation
 
-setup='final'  # Final can be replaced with trial or basic.
+setup = 'trial'  # Final can be replaced with trial or basic.
                # Either will result in a coarser mesh that will allow a
                # faster, but less accurate, simulation.
@@ -88,24 +81,16 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = ['busselton_v2',   # Topo
-                        'grid_250m_clip'] # Busselton Topo
+ascii_grid_filenames = ['grid250m'] # 250m grid 2005
 
 # Format for point is x,y,elevation (with header)
-point_filenames = ['Busselton_Contour0.txt',     # Coastline
-                   'Busselton_BeachSurvey.txt',    # Beach survey
-                   'Busselton_NavyFinal.txt',  # Bathymetry
-                   'Busselton_Chart.txt', # Bathymetry Charts
-                   'Busselton_Digitised.txt', # Digitised Fairsheet
-                   'Busselton_250m.txt', # 250m
-                   'Bunbury_TIN.txt', # Bunbury aoi TIN'd in ArcGIS
-                   'Busselton_TIN.txt', # Busselton aoi TIN'd in ArcGIS
-                   'XYAHD_clip.txt'] # To extend boundary
-
-
-# LAND - used to set the initial stage/water to be offcoast only
-# Used in run_model,py
-# Format for points easting,northing (no header)
-land_initial_conditions_filename = [['initial_condition_extend.csv', 0],
-                                    ['initial_condition_marina.csv', 0]]
+##point_filenames = ['Busselton_Contour0.txt',     # Coastline
+##                   'Busselton_BeachSurvey.txt',    # Beach survey
+##                   'Busselton_NavyFinal.txt',  # Bathymetry
+##                   'Busselton_Chart.txt', # Bathymetry Charts
+##                   'Busselton_Digitised.txt', # Digitised Fairsheet
+##                   'Busselton_250m.txt', # 250m
+##                   'Bunbury_TIN.txt', # Bunbury aoi TIN'd in ArcGIS
+##                   'Busselton_TIN.txt', # Busselton aoi TIN'd in ArcGIS
+##                   'XYAHD_clip.txt'] # To extend boundary
 
 # BOUNDING POLYGON - for data clipping and estimate of triangles in mesh
@@ -114,24 +99,8 @@
 bounding_polygon_filename = 'bounding_polygon.csv'
 
-# INTERIOR REGIONS -  for designing the mesh
-# Used in run_model.py
-# Format for points easting,northing (no header)                    
-interior_regions_data = [['busselton_1km.csv', 500],
-                         ['bunbury_1km.csv', 500],
-                         ['busselton_2km.csv', 10000],
-                         ['bunbury_2km.csv', 10000],
-                         ['island1.csv', 10000],
-                         ['island2.csv', 10000],
-                         ['coast_5km_d20m.csv', 40000]]
-
 # GAUGES - for creating timeseries at a specific point
 # Used in get_timeseries.py
 # Format easting,northing,name,elevation (with header)
-gauges_filename = 'gauges.csv'
-
-# BUILDINGS EXPOSURE - for identifying inundated houses
-# Used in run_building_inundation.py
-# Format latitude,longitude etc (geographic)
-building_exposure_filename = 'busselton_res_clip.csv' #from NEXIS
+##gauges_filename = 'gauges.csv'
 
 # BOUNDING POLYGON
@@ -143,27 +112,9 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'thinned_boundary_ordering_extend.csv'
+urs_order_filename = 'urs_order.csv'
 
 # Landward bounding points
 # Format easting,northing (no header)
-landward_boundary_filename = 'landward_boundary_extend.csv'
-
-#------------------------------------------------------------------------------
-# Clipping regions for export to asc and regions for clipping data
-# Final inundation maps should only be created in regions of the finest mesh
-#------------------------------------------------------------------------------
-
-# ASCII export grid for Busselton
-xminBusselton = 340000
-xmaxBusselton = 352000
-yminBusselton = 6271500
-ymaxBusselton = 6280000
-
-# ASCII export grid for Bunbury
-xminBunbury = 369000
-xmaxBunbury = 381000
-yminBunbury = 6308000
-ymaxBunbury = 6316500
-
+landward_boundary_filename = 'landward_boundary.csv'
 
 #------------------------------------------------------------------------------
@@ -177,5 +128,5 @@
 # Directory Structure
 #------------------------------------------------------------------------------
-anuga_folder = join(home, state, scenario_folder, 'anuga')
+anuga_folder = join(home, state, scenario_name, 'anuga')
 topographies_folder = join(anuga_folder, 'topographies')
 polygons_folder = join(anuga_folder, 'polygons')
@@ -191,5 +142,4 @@
 # The absolute pathname of the all elevation, generated in build_elevation.py
 combined_elevation = join(topographies_folder, combined_elevation_basename)
-
 
 # The absolute pathname of the mesh, generated in run_model.py
@@ -216,9 +166,5 @@
 # The absolute pathname for the gauges file
 # Used for get_timeseries.py
-gauges = join(gauges_folder, gauges_filename)       
-
-# The absolute pathname for the building file
-# Used for run_building_inundation.py
-building_exposure = join(gauges_folder, building_exposure_filename)
+##gauges = join(gauges_folder, gauges_filename)       
 
 #------------------------------------------------------------------------------
@@ -226,20 +172,10 @@
 #------------------------------------------------------------------------------
 
-# Create list of land polygons with initial conditions
-land_initial_conditions = []
-for filename, MSL in land_initial_conditions_filename:
-    polygon = read_polygon(join(polygons_folder, filename))
-    land_initial_conditions.append([polygon, MSL])
-
-# Create list of interior polygons with scaling factor
-interior_regions = []
-for filename, maxarea in interior_regions_data:
-    polygon = read_polygon(join(polygons_folder, filename))
-    interior_regions.append([polygon, maxarea*scale_factor])
-
 # Initial bounding polygon for data clipping 
 bounding_polygon = read_polygon(join(polygons_folder,
                                      bounding_polygon_filename))
 bounding_maxarea = 100000*scale_factor
+
+interior_regions = []
 
 # Estimate the number of triangles                     