Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 6317)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 6318)
@@ -1577,5 +1577,5 @@
 
 #        point1_answers_array = [[0.0,1.0,-5.0,3.0,4.0], [2.0,10.0,-5.0,3.0,4.0]]
-        point1_answers_array = [[0.0,1.0,6.0,-5.0,3.0,4.0], [2.0,10.0,15.0,-5.0,3.0,4.0]]
+        point1_answers_array = [[0.0,0.0,1.0,6.0,-5.0,3.0,4.0], [2.0,2.0/3600.,10.0,15.0,-5.0,3.0,4.0]]
         point1_filename = 'gauge_point1.csv'
         point1_handle = file(point1_filename)
@@ -1585,10 +1585,11 @@
         line=[]
         for i,row in enumerate(point1_reader):
-            #print 'i',i,'row',row
-            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
-            #print 'assert line',line[i],'point1',point1_answers_array[i]
+#            print 'i',i,'row',row
+            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),
+                         float(row[4]),float(row[5]),float(row[6])])
+#            print 'assert line',line[i],'point1',point1_answers_array[i]
             assert num.allclose(line[i], point1_answers_array[i])
 
-        point2_answers_array = [[0.0,1.0,1.5,-0.5,3.0,4.0], [2.0,10.0,10.5,-0.5,3.0,4.0]]
+        point2_answers_array = [[0.0,0.0,1.0,1.5,-0.5,3.0,4.0], [2.0,2.0/3600.,10.0,10.5,-0.5,3.0,4.0]]
         point2_filename = 'gauge_point2.csv' 
         point2_handle = file(point2_filename)
@@ -1598,7 +1599,8 @@
         line=[]
         for i,row in enumerate(point2_reader):
-            #print 'i',i,'row',row
-            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
-            #print 'assert line',line[i],'point1',point1_answers_array[i]
+#            print 'i',i,'row',row
+            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),
+                         float(row[4]),float(row[5]),float(row[6])])
+#            print 'assert line',line[i],'point1',point1_answers_array[i]
             assert num.allclose(line[i], point2_answers_array[i])
                          
@@ -1705,5 +1707,6 @@
         for i,row in enumerate(point1_reader):
 #            print 'i',i,'row',row
-            line.append([float(row[0]),float(row[1]),float(row[2])])
+            # note the 'hole' (element 1) below - skip the new 'hours' field
+            line.append([float(row[0]),float(row[2]),float(row[3])])
             #print 'line',line[i],'point1',point1_answers_array[i]
             assert num.allclose(line[i], point1_answers_array[i])
@@ -1718,5 +1721,6 @@
         for i,row in enumerate(point2_reader):
 #            print 'i',i,'row',row
-            line.append([float(row[0]),float(row[1]),float(row[2])])
+            # note the 'hole' (element 1) below - skip the new 'hours' field
+            line.append([float(row[0]),float(row[2]),float(row[3])])
 #            print 'line',line[i],'point1',point1_answers_array[i]
             assert num.allclose(line[i], point2_answers_array[i])
@@ -1815,5 +1819,5 @@
 
 #        point1_answers_array = [[0.0,1.0,-5.0,3.0,4.0], [2.0,10.0,-5.0,3.0,4.0]]
-        point1_answers_array = [[5.0,1.0,6.0,-5.0,3.0,4.0], [7.0,10.0,15.0,-5.0,3.0,4.0]]
+        point1_answers_array = [[5.0,5.0/3600.,1.0,6.0,-5.0,3.0,4.0], [7.0,7.0/3600.,10.0,15.0,-5.0,3.0,4.0]]
         point1_filename = 'gauge_point1.csv'
         point1_handle = file(point1_filename)
@@ -1824,9 +1828,10 @@
         for i,row in enumerate(point1_reader):
             #print 'i',i,'row',row
-            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
+            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),
+                         float(row[4]), float(row[5]), float(row[6])])
             #print 'assert line',line[i],'point1',point1_answers_array[i]
             assert num.allclose(line[i], point1_answers_array[i])
 
-        point2_answers_array = [[5.0,1.0,1.5,-0.5,3.0,4.0], [7.0,10.0,10.5,-0.5,3.0,4.0]]
+        point2_answers_array = [[5.0,5.0/3600.,1.0,1.5,-0.5,3.0,4.0], [7.0,7.0/3600.,10.0,10.5,-0.5,3.0,4.0]]
         point2_filename = 'gauge_point2.csv' 
         point2_handle = file(point2_filename)
@@ -1837,5 +1842,6 @@
         for i,row in enumerate(point2_reader):
             #print 'i',i,'row',row
-            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),float(row[4]),float(row[5])])
+            line.append([float(row[0]),float(row[1]),float(row[2]),float(row[3]),
+                         float(row[4]),float(row[5]), float(row[6])])
             #print 'assert line',line[i],'point1',point1_answers_array[i]
             assert num.allclose(line[i], point2_answers_array[i])
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 6317)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 6318)
@@ -2526,5 +2526,5 @@
     for sww_file in sww_files:
         sww_file = join(dir_name, sww_file+'.sww')
-        print 'sww file = ',sww_file
+        #print 'sww file = ',sww_file
         callable_sww = file_function(sww_file,
                                      quantities=core_quantities,
@@ -2539,12 +2539,12 @@
             print 'time = ', str(time)
             for point_i, point in enumerate(points_array):
-                print 'gauge_file = ', str(point_name[point_i])
-                print 'point_i = ', str(point_i), ' point is = ', str(point) 
+               # print 'gauge_file = ', str(point_name[point_i])
+                #print 'point_i = ', str(point_i), ' point is = ', str(point) 
                 #add domain starttime to relative time.
                 quake_time = time + quake_offset_time
                 points_list = [quake_time, quake_time/3600.]# fudge around SWW time bug
-                print 'point list = ', str(points_list)
+                #print 'point list = ', str(points_list)
                 point_quantities = callable_sww(time,point_i)
-                print 'point quantities = ', str(point_quantities)
+                #print 'point quantities = ', str(point_quantities)
                 
                 for quantity in quantities: